/****************************************************** 
 *  Copyright 2018 IBM Corporation
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import java.io.Serializable;
import java.security.PrivateKey;

import org.hyperledger.fabric.sdk.Enrollment;

//Enrollment metadata
public class CAEnrollment implements Enrollment, Serializable {

    private static final long serialVersionUID = 3452742446883887671L;
    private PrivateKey key;
    private String cert;

    public CAEnrollment(PrivateKey pkey, String signedPem) {
	this.key = pkey;
	this.cert = signedPem;
    }

    public PrivateKey getKey() {
	return key;
    }

    public String getCert() {
	return cert;
    }

}
