/****************************************************** 
 *  Copyright 2018 IBM Corporation
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import java.io.Serializable;
import java.util.Set;

import org.hyperledger.fabric.sdk.Enrollment;
import org.hyperledger.fabric.sdk.User;

/**
 * Implementation class for User
 *
 * @author Balaji Kadambi
 *
 */

public class UserContext implements User, Serializable {

    private static final long serialVersionUID = 1L;
    protected String name;
    protected Set<String> roles;
    protected String account;
    protected String affiliation;
    protected Enrollment enrollment;
    protected String mspId;

    public void setName(String name) {
	this.name = name;
    }

    public void setRoles(Set<String> roles) {
	this.roles = roles;
    }

    public void setAccount(String account) {
	this.account = account;
    }

    public void setAffiliation(String affiliation) {
	this.affiliation = affiliation;
    }

    public void setEnrollment(Enrollment enrollment) {
	this.enrollment = enrollment;
    }

    public void setMspId(String mspId) {
	this.mspId = mspId;
    }

    @Override
    public String getName() {
	return name;
    }

    @Override
    public Set<String> getRoles() {
	return roles;
    }

    @Override
    public String getAccount() {
	return account;
    }

    @Override
    public String getAffiliation() {
	return affiliation;
    }

    @Override
    public Enrollment getEnrollment() {
	return enrollment;
    }

    @Override
    public String getMspId() {
	return mspId;
    }

}
